Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class RegistrationInfo

    java.lang.Object
      org.jboss.portal.wsrp.consumer.RegistrationInfo

    public class RegistrationInfo

extends java.lang.Object

Since:
  2.6
Version:
  $Revision: 11604 $
Author:
  Chris Laprun

Nested Class Summary
`class` | `RegistrationInfo.RegistrationRefreshResult`

Constructor Summary
`RegistrationInfo()`
`RegistrationInfo(ProducerInfo producerInfo)`
`RegistrationInfo(ProducerInfo producerInfo, boolean requiresRegistration)`
`RegistrationInfo(RegistrationInfo other)`

Method Summary
`java.lang.String` | `getConsumerAgent()`
`java.lang.String` | `getConsumerName()`
`java.lang.Long` | `getKey()`
`ProducerInfo` | `getParent()`
`RegistrationContext` | `getRegistrationContext()`
`RegistrationData` | `getRegistrationData()`
`java.lang.String` | `getRegistrationHandle()`
`java.util.Map<java.lang.String,RegistrationProperty>` | `getRegistrationProperties()`
`RegistrationProperty` | `getRegistrationProperty(java.lang.String name)`
`java.util.Set` | `getRegistrationPropertyNames()`
`byte[]` | `getRegistrationState()`
`boolean` | `hasLocalInfo()`
`java.lang.Boolean` | `isConsistentWithProducerExpectations()`
`boolean` | `isModified()`
`boolean` | `isRefreshNeeded()`
`boolean` | `isRegistrationDeterminedNotRequired()` Determines whether it has been determined after querying the associated Producer that it does NOT require registration.
`boolean` | `isRegistrationDeterminedRequired()` Determines whether it has been determined after querying the associated Producer that it requires registration.
`java.lang.Boolean` | `isRegistrationRequired()` Determines whether the associated Producer requires registration.
`java.lang.Boolean` | `isRegistrationValid()`
`RegistrationInfo.RegistrationRefreshResult` | `refresh(ServiceDescription serviceDescription, java.lang.String producerId, boolean mergeWithLocalInfo, boolean forceRefresh, boolean forceCheckOfExtraProps)`
`void` | `removeRegistrationProperty(java.lang.String name)`
`void` | `setConsumerName(java.lang.String consumerName)`
`void` | `setKey(java.lang.Long key)`
`void` | `setModified(boolean modified)`
`void` | `setParent(ProducerInfo parent)`
`void` | `setRegistrationContext(RegistrationContext registrationContext)`
`void` | `setRegistrationHandle(java.lang.String registrationHandle)`
`void` | `setRegistrationProperties(java.util.Map registrationProperties)`
`RegistrationProperty` | `setRegistrationPropertyValue(java.lang.String name, java.lang.String value)`
`void` | `setRegistrationState(byte[] registrationState)`
`void` | `setRegistrationValidInternalState()` todo: revert to package-only once the tests are moved to same package

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationInfo

    public RegistrationInfo(ProducerInfo producerInfo)

### RegistrationInfo

    public RegistrationInfo(ProducerInfo producerInfo,
                            boolean requiresRegistration)

### RegistrationInfo

    public RegistrationInfo()

### RegistrationInfo

    public RegistrationInfo(RegistrationInfo other)

Method Detail

### getKey

    public java.lang.Long getKey()

### setKey

    public void setKey(java.lang.Long key)

### getRegistrationHandle

    public java.lang.String getRegistrationHandle()

### setRegistrationHandle

    public void setRegistrationHandle(java.lang.String registrationHandle)

### getRegistrationState

    public byte[] getRegistrationState()

### setRegistrationState

    public void setRegistrationState(byte[] registrationState)

### getParent

    public ProducerInfo getParent()

### setParent

    public void setParent(ProducerInfo parent)

### isRefreshNeeded

    public boolean isRefreshNeeded()

### isRegistrationValid

    public java.lang.Boolean isRegistrationValid()

### isConsistentWithProducerExpectations

    public java.lang.Boolean isConsistentWithProducerExpectations()

### isRegistrationRequired

    public java.lang.Boolean isRegistrationRequired()

  Determines whether the associated Producer requires registration.

  Returns:
    `null` if this RegistrationInfo hasn't queried the Producer yet and thus, doesn't have a definitive answer on whether or not the associated Producer requires registration, `Boolean.TRUE` if the associated Producer requires registration, `Boolean.FALSE` otherwise.

### isRegistrationDeterminedRequired

    public boolean isRegistrationDeterminedRequired()

  Determines whether it has been determined after querying the associated Producer that it requires registration.

  Returns:
    `true` if and only if the associated Producer has been queried and mandates registration, `false` otherwise.
  Throws:
    `java.lang.IllegalStateException` - if `refresh(org.jboss.portal.wsrp.core.ServiceDescription, java.lang.String, boolean, boolean, boolean)` has not yet been called

### isRegistrationDeterminedNotRequired

    public boolean isRegistrationDeterminedNotRequired()

  Determines whether it has been determined after querying the associated Producer that it does NOT require registration.

  Returns:
    `true` if and only if the associated Producer has been queried and does NOT mandate registration, `false` otherwise.
  Throws:
    `java.lang.IllegalStateException` - if `refresh(org.jboss.portal.wsrp.core.ServiceDescription, java.lang.String, boolean, boolean, boolean)` has not yet been called

### hasLocalInfo

    public boolean hasLocalInfo()

### getRegistrationData

    public RegistrationData getRegistrationData()

### getConsumerName

    public java.lang.String getConsumerName()

### setConsumerName

    public void setConsumerName(java.lang.String consumerName)

### getConsumerAgent

    public java.lang.String getConsumerAgent()

### getRegistrationProperty

    public RegistrationProperty getRegistrationProperty(java.lang.String name)

### setRegistrationPropertyValue

    public RegistrationProperty setRegistrationPropertyValue(java.lang.String name,
                                                             java.lang.String value)

### removeRegistrationProperty

    public void removeRegistrationProperty(java.lang.String name)

### getRegistrationProperties

    public java.util.Map<java.lang.String,RegistrationProperty> getRegistrationProperties()

### setRegistrationProperties

    public void setRegistrationProperties(java.util.Map registrationProperties)

### getRegistrationPropertyNames

    public java.util.Set getRegistrationPropertyNames()

### refresh

    public RegistrationInfo.RegistrationRefreshResult refresh(ServiceDescription serviceDescription,
                                                              java.lang.String producerId,
                                                              boolean mergeWithLocalInfo,
                                                              boolean forceRefresh,
                                                              boolean forceCheckOfExtraProps)

  Parameters:
    `serviceDescription` -
    `producerId` -
    `mergeWithLocalInfo` -
    `forceRefresh` -
    `forceCheckOfExtraProps` -
  Returns:

### setRegistrationContext

    public void setRegistrationContext(RegistrationContext registrationContext)

### setRegistrationValidInternalState

    public void setRegistrationValidInternalState()

  todo: revert to package-only once the tests are moved to same package

### getRegistrationContext

    public RegistrationContext getRegistrationContext()

### isModified

    public boolean isModified()

### setModified

    public void setModified(boolean modified)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD